<ngb-tabset class="onboarding-tab" (tabChange)="beforeChange($event)">
  <ngb-tab id="organization">
    <ng-template ngbTabTitle>
      <div class="wizard-box">
        <svg class="svg-icon">
          <use [attr.xlink:href]="wizardItems[0].activeIcon" *ngIf="wizardItems[0].active"></use>
          <use [attr.xlink:href]="wizardItems[0].icon" *ngIf="!wizardItems[0].active"></use>
        </svg>
        <svg class="status-icon">
          <use [attr.xlink:href]="wizardItems[0].statusIcon"></use>
        </svg>
        <span class="timeline-line"></span>
        <div class="title hidden-xs">{{wizardItems[0].name}}</div>
      </div>
    </ng-template>
    <ng-template ngbTabContent>
      <app-create-organization (status)="moveNextTab($event)"></app-create-organization>
    </ng-template>
  </ngb-tab>
  <ngb-tab id="user">
    <ng-template ngbTabTitle>
      <div class="wizard-box">
        <svg class="svg-icon">
          <use [attr.xlink:href]="wizardItems[1].activeIcon" *ngIf="wizardItems[1].active"></use>
          <use [attr.xlink:href]="wizardItems[1].icon" *ngIf="!wizardItems[1].active"></use>
        </svg>
        <svg class="status-icon">
          <use [attr.xlink:href]="wizardItems[1].statusIcon"></use>
        </svg>
        <span class="timeline-line"></span>
        <div class="title hidden-xs">{{wizardItems[1].name}}</div>
      </div>
    </ng-template>
    <ng-template ngbTabContent>
      <app-create-user (status)="moveNextTab($event)" (createRole)="gotoRoleGroup($event)" (back)="gotoPreviousTab($event)"></app-create-user>
    </ng-template>
  </ngb-tab>
  <ngb-tab id="group">
    <ng-template ngbTabTitle>
      <div class="wizard-box">
        <svg class="svg-icon">
          <use [attr.xlink:href]="wizardItems[2].activeIcon" *ngIf="wizardItems[2].active"></use>
          <use [attr.xlink:href]="wizardItems[2].icon" *ngIf="!wizardItems[2].active"></use>
        </svg>
        <svg class="status-icon">
          <use [attr.xlink:href]="wizardItems[2].statusIcon"></use>
        </svg>
        <span class="timeline-line"></span>
        <div class="title hidden-xs">{{wizardItems[2].name}}</div>
      </div>
    </ng-template>
    <ng-template ngbTabContent>
      <app-create-role-group (status)="moveNextTab($event)" (back)="gotoPreviousTab($event)"></app-create-role-group>
    </ng-template>
  </ngb-tab>
</ngb-tabset>
